Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
KBuildSycoca
8

# Beskrivning

Bygger om systemets inställningscache.

## Översikt

    kbuildsycoca  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Beskrivning

`kbuildsycoca`, som en del av &kde;:s kommandoradverktyg, försäkrar att &kde; fungerar på ett riktigt sätt genom att läsa in alla filerna `.desktop`, `.directory`, `.kimgio` och `.protocol` för att skapa en binärdatabas.

&kde; använder själv databasen under drift för att tillhandahålla inställningsrelaterad information som ett program behöver för att köra.

Verktyget är en del av ksycoca, som betyder &kde; System Configuration Cache (&kde; systeminställningscache)

## Väljare

`--nosignal`

  Signalera inte till program

`--incremental`

  Inkrementell uppdatering

`--help`

  Visa hjälp om väljare

`--help-qt`

  Visa Qt-specifika väljare

`--help-kde`

  Visa KDE-specifika väljare

`--help-all`

  Visa alla väljare

`--author`

  Visa information om upphovsman

`---version`

  Visa versionsinformation

`--license`

  Visa licensinformation

## Användning

Ett standardsätt att köra programmet är att helt enkelt ange följande kommando vid promptern: ``kbuildsycoca``.

## Filer

`/tmp/kde-$USER/ksyscoca`

  ...

## Miljövariabler

$`KDEDIRS`

  Anger vilka kataloger som är en del av KDE-installationerna

## Se också

ksycoca(3), kblah(4), knogga(6)

## Fel

Det finns inga kända fel när det här skrivs.